# Version 1

<mark style="color:green;">`POST`</mark> `https://okaydocdemo.innov8tif.com/ekyc/api/ekyc/v1/doc-verify/myLicense`

#### Request Body

| Name               | Type   | Description                                                                                                                                                                                                  |
| ------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| otherDocList       | array  | <p>Inside the array<br>-base64Image: driving license with flash<br>-type: with\_flash<br><br>To increase the chance to detect hologram. "idImageBase64Image" will be use if this parameter is not given.</p> |
| apiKey             | string | To be assigned by Innov8tif                                                                                                                                                                                  |
| idImageBase64Image | string | Front driving license's image in base64                                                                                                                                                                      |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "messageCode": "api.success",
    "message": "",
    "id": "f6faa3a8-3378-45b4-96b2-81f8e618b7f7",
    "methodList": [
        {
            "method": "landmark",
            "label": "Landmark Analysis Result",
            "componentList": [
                {
                    "code": "l-my-dl-address",
                    "label": "Address",
                    "value": "98.9421010017395",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-address",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-class",
                    "label": "Class",
                    "value": "98.92808198928833",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-class",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-flag",
                    "label": "Flag",
                    "value": "99.39739108085632",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-flag",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-header",
                    "label": "Header",
                    "value": "98.71360659599304",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-header",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-hibiscus",
                    "label": "Hibiscus",
                    "value": "99.51854348182678",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-hibiscus",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-idNo",
                    "label": "Id Number",
                    "value": "98.78066778182983",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-idNo",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-logo",
                    "label": "Logo",
                    "value": "99.30413365364075",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-logo",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-malaysia",
                    "label": "Malaysia",
                    "value": "99.52145218849182",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-malaysia",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-nationality",
                    "label": "Nationality",
                    "value": "99.04016256332397",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-nationality",
                    "refImageUrl": null
                },
                {
                    "code": "l-my-dl-validity",
                    "label": "Validity",
                    "value": "98.73715043067932",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=l-my-dl-validity",
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "colorMode",
            "label": "Color Mode",
            "componentList": [
                {
                    "code": "colorMode",
                    "label": "Color Mode",
                    "value": "Pass",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "screen",
            "label": "Screen Detection",
            "componentList": [
                {
                    "code": "screen",
                    "label": "Screen Detection",
                    "value": "Cautious",
                    "imageUrl": null,
                    "refImageUrl": null
                }
            ]
        },
        {
            "method": "hologram",
            "label": "Hologram",
            "componentList": [
                {
                    "code": "hologram",
                    "label": "Hologram",
                    "value": "Fail",
                    "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=hologram",
                    "refImageUrl": null
                }
            ]
        }
    ],
    "outputImageList": [
        {
            "tag": "cropId",
            "imageUrl": "/public/image/v2/f6faa3a8-3378-45b4-96b2-81f8e618b7f7?type=cropId"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Input Example

{% code title="JSON" %}

```
{
    "apiKey": "apikey",
    "idImageBase64Image": "/9j/4AAQSkZJ...fYs1wRtQHt//Z\r\n",
    "otherDocList": [
        {
            "base64Image": "/9j/4A.....AQSk",
            "type": "with_flash" 
        }
    ]
}
```

{% endcode %}

{% file src="/files/-MO-0J3YHhsqA4JPEQe6" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/malaysia/my-driving-license/version-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
